summaryrefslogtreecommitdiffstats
path: root/source/a/smartmontools
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-01-02 20:36:24 +0000
committer Eric Hameleers <alien@slackware.com>2021-01-03 08:59:48 +0100
commit4f5caa67e6249f03459f2f09ff518ca5fffdc694 (patch)
tree5335c056d78585a81989e1ba22b606781774ebd0 /source/a/smartmontools
parentc53e3a413a82eaadc7b59568a4aea8fa33951525 (diff)
downloadcurrent-4f5caa67e6249f03459f2f09ff518ca5fffdc694.tar.gz
current-4f5caa67e6249f03459f2f09ff518ca5fffdc694.tar.xz
Sat Jan 2 20:36:24 UTC 202120210102203624
a/smartmontools-7.2-x86_64-1.txz: Upgraded. l/cryptopp-8.4.0-x86_64-1.txz: Upgraded. l/shared-mime-info-2.1-x86_64-1.txz: Upgraded. xfce/xfce4-whiskermenu-plugin-2.5.1-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/a/smartmontools')
-rwxr-xr-xsource/a/smartmontools/smartmontools.SlackBuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/source/a/smartmontools/smartmontools.SlackBuild b/source/a/smartmontools/smartmontools.SlackBuild
index 17d1c48e9..7e0b554d9 100755
--- a/source/a/smartmontools/smartmontools.SlackBuild
+++ b/source/a/smartmontools/smartmontools.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2011, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2011, 2017, 2018, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -44,6 +44,8 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
+NUMJOBS=${NUMJOBS:-" -j $(expr $(nproc) + 1) "}
+
if [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
else
@@ -70,7 +72,7 @@ chown -R root:root .
--docdir=/usr/doc/smartmontools-$VERSION \
--build=$ARCH-slackware-linux || exit 1
-make || exit 1
+make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
# Don't use the included init script: